---
layout: docs
page_title: authenticate password - Command
description: >-
  The "authenticate password" command invokes the password auth method to authenticate the CLI client.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# authenticate password

Command: `boundary authenticate password`

The `authenticate password` command lets you invoke the password auth method to
authenticate the Boundary CLI.


## Examples

The following example authenticates the Boundary CLI using the password auth method and specifying the username:

```shell-session
$ boundary authenticate password -login-name user1
Please enter the password (it will be hidden): <password>

Authentication information:
  Account ID:      acctpw_JQXp0QHxQL
  Auth Method ID:  ampw_xxF3EIBn4k
  Expiration Time: Thu, 26 May 2022 11:36:27 MDT
  User ID:         u_RlkqMP6jUv

The token was successfully stored in the chosen keyring and is not displayed here.
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary authenticate password [options] [args]
```

</CodeBlockConfig>


### Command options

- `-auth-method-id` `(string: "")` - The auth-method resource you want to use for the
   authentication.
   You can also specify the auth method resource using the **BOUNDARY_AUTH_METHOD_ID** environment variable.

- `-login-name` `(string: "")` - A login name that corresponds to an account
   within the given auth method.
   You can also specify a login name using the **BOUNDARY_AUTHENTICATE_PASSWORD_LOGIN_NAME** environment variable.

- `-password` `(string: "")` - The password that is associated with the login name.
   If this value is blank, the command prompts you to enter the password interactively
   in a non-echoing way. Otherwise, this value can refer to a file on disk (`file://`)
   from which a password is read or an environment variable (`env://`) from which the
   password is read. You can also specify the password using the
   **BOUNDARY_AUTHENTICATE_PASSWORD_PASSWORD** environment variable.

- `-scope-id` `(string: "")` - The scope ID to use for the operation. You can also specify the scope ID using the **BOUNDARY_SCOPE_ID** environment variable.


@include 'cmd-option-note.mdx'